ServerEvents.recipes(event => {

  event.shapeless(
    Item.of('minecraft:cookie', 4),
    [
      'farmersdelight:wheat_dough',
      'minecraft:cocoa_beans'
    ]
  );

  event.shapeless(
    Item.of('windswept:gingerbread_cookie', 4),
    [
      'farmersdelight:wheat_dough',
      'windswept:ginger_root'
    ]
  );

  event.shapeless(
    Item.of('farmersrespite:green_tea_cookie', 4),
    [
      'farmersdelight:wheat_dough',
      'farmersrespite:green_tea_leaves'
    ]
  );

  event.shapeless(
    Item.of('farmersdelight:sweet_berry_cookie', 4),
    [
      'farmersdelight:wheat_dough',
      'minecraft:sweet_berries'
    ]
  );

  event.shapeless(
    Item.of('farmersdelight:honey_cookie', 4),
    [
      'farmersdelight:wheat_dough',
      'minecraft:honey_bottle'
    ]
  ).replaceIngredient('minecraft:honey_bottle', 'minecraft:glass_bottle');

  event.shaped(
    Item.of('minecraft:anvil', 1),
    [
      "ABA",
      " A ",
      "AAA"
    ],
    {
      A: 'minecraft:iron_ingot',
      B: 'minecraft:iron_block'
    }
  );

  event.shapeless(
    Item.of('minecraft:pumpkin', 1),
    [
      '9x farmersdelight:pumpkin_slice'
    ]
  );

  event.shapeless(
    Item.of('farmersdelight:wheat_dough', 3),
    [
      'regions_unexplored:barley',
      'regions_unexplored:barley',
      'regions_unexplored:barley',
      '#c:water_buckets'
    ]
  ).keepIngredient('minecraft:water_bucket');

  event.shapeless(
    Item.of('farmersdelight:wheat_dough', 3),
    [
      'minecraft:wheat',
      'minecraft:wheat',
      'minecraft:wheat',
      '#c:water_buckets'
    ]
  ).keepIngredient('minecraft:water_bucket');

  event.shapeless(
    Item.of('alexsmobs:mosquito_repellent_stew', 3),
    [
      'minecraft:bowl',
      'spelunkery:salt',
      'kubejs:grease_ball',
      'farmersdelight:tree_bark'
    ]
  );

  event.shaped(
    Item.of('spelunkery:flint_hammer_and_chisel', 1),
    [
      " B ",
      "AB ",
      " AB"
    ],
    {
      A: 'spartanweaponry:simple_handle',
      B: 'minecraft:copper_ingot'
    }
  );

  event.shaped(
    Item.of('minecraft:scaffolding', 6),
    [
      'IOI',
      'L L',
      'L L'
    ],
    {
      O: 'farmersdelight:canvas',
      I: '#regions_unexplored:branches',
      L: 'minecraft:stick'
    }
  );

  event.shapeless(
    Item.of('mca:staff_of_life', 1),
    [
      'mca:scythe',
      'vialofrevival:vial_of_revival'
    ]
  );

});
ServerEvents.tags('item', event => {
  event.remove('irons_spellbooks:school_focus', 'minecraft:emerald')
  event.remove('irons_spellbooks:school_focus', 'minecraft:poisonous_potato')
  event.remove('irons_spellbooks:school_focus', 'minecraft:ender_pearl')
  event.remove('irons_spellbooks:school_focus', 'irons_spellbooks:blood_vial')

  event.remove('irons_spellbooks:evocation_focus', 'minecraft:emerald')
  event.remove('irons_spellbooks:nature_focus', 'minecraft:poisonous_potato')
  event.remove('irons_spellbooks:ender_focus', 'minecraft:ender_pearl')
  event.remove('irons_spellbooks:blood_focus', 'irons_spellbooks:blood_vial')

  event.add('irons_spellbooks:evocation_focus', 'takesapillage:ravager_horn')
  event.add('irons_spellbooks:nature_focus', 'mowziesmobs:naga_fang')
  event.add('irons_spellbooks:ender_focus', 'minecraft:ender_eye')
  event.add('irons_spellbooks:blood_focus', 'alexsmobs:blood_sac')
  event.add('irons_spellbooks:lightning_focus', 'unusualfishmod:tendril')
})